# &kde; User's Manual

Harri
Porten

    porten@kde.org

2008-10-16
0.01.01
kjscmd
1

# `kjscmd`

&kde; KJSEmbed interpreter

## Synopsis

    kjscmd

    --help

    -e
    --exec

    -i
    -interactive

    -n
    -no-kde

    file

## Description

`kjscmd` is a tool for launching KJSEmbed scripts from the command line. It will run the scripts contained in the named `file` using KJSEmbed. It does not accept - (stdin) as a `file`.

## Application Options

`-e`,`--exec`

  execute script in `file` without gui support.

`-i`,`--interactive`

  start interactive `kjs` interpreter.

`-n`,`--no-kde`

  start without &kde; KApplication support.

## Usage

The most common way to run `kjscmd` is simply as

    kjscmd file

If no parameter `file` is used, it executes a predefined test script that measures the start speed of `kjscmd`.

## See Also

kjs(1)

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.